Subject: Re: [[email-masked]: Re: ADOSFS and GPL]

From: [email-masked] (Richard Stallman)

I would probably change the wording of the GPL to state that the
    source must be available during the same time frame that the binary
    is.

If by "available" you mean ftp, this is *already* the case in 
the current GPL.  Please reread those paragraphs carefully and
check what situations they apply to.